﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：2023/8/21 10:20:37 
    /// 描    述 ：  
    /// </summary>
    public class AlarmLogDto
    {
        /// <summary>
        /// 报警信息
        /// </summary>
        public string MsgInfo { get; set; }

        /// <summary>
        /// 报警值
        /// </summary>
        public string Value { get; set; }

        /// <summary>
        /// 报警等级
        /// </summary>
        public string Grade { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        public string DeviceName { get; set; }
    }
    /// <summary>
    /// 增加
    /// </summary>
    public class AlarmLogAddInput : AlarmLogDto
    {

    }
    /// <summary>
    /// 更新
    /// </summary>
    public class AlarmLogUpdateInput : AlarmLogDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 删除
    /// </summary>
    public class AlarmLogDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 不分页
    /// </summary>
    public class AlarmLogQueryInput
    {
       
    }
    /// <summary>
    /// 分页
    /// </summary>
    public class AlarmLogQueryPageInput : RequestPage
    {
        /// <summary>
        /// 报警信息
        /// </summary>
        public string MsgInfo { get; set; }

        /// <summary>
        /// 报警值
        /// </summary>
        public string Value { get; set; }

        /// <summary>
        /// 报警等级
        /// </summary>
        public string Grade { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        public string DeviceName { get; set; }
    }
    /// <summary>
    /// 输出
    /// </summary>
    public class AlarmLogOutput : AlarmLogDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
       
    }
}
