﻿export default [
  { path: '/user', layout: false, routes: [{ path: '/user/login', component: './user/login' }] },
  { path: '/', icon: 'SmileOutlined',exact:true, component: './welcome', name: '数据看板' },
  // {
  //   icon: 'SettingOutlined',
  //   path: '/system',
  //   name: '系统管理',
  //   routes: [
  //     { path: '/system/account', name: '账号管理', component: './system/account' },
  //     { path: '/system/user', name: '人员管理', component: './system/user' },
  //     { path: '/system/role', name: '角色管理', component: './system/role' },
  //     { path: '/system/module', name: '模块管理', component: './system/module' },
  //     { path: '/system/authTemplate', name: '权限管理', component: './system/authTemplate' },
  //   ],
  // },
  // {
  //   path: '/wmx', icon: 'SettingOutlined', name: '设备类型管理',
  //   routes: [{
  //     name: '类型管理', 
  //     path: '/wmx/deviceProduct', 
  //     component: './deviceProductInfo/index',
  //   },
    
  //   ]
  // },
  {
    path: '/base', icon: 'SettingOutlined', name: '基础数据管理',
    routes: [
    //   { path: '/base/deviceinfo', name: '设备管理', component: './deviceInfo/index' },
    // { path: '/base/stock', name: '料仓管理', component: './stock/index' },
    { path: '/base/materials', name: '原料管理', component: './materials/index' },
    // { path: '/base/bucket', name: '桶管理', component: './bucket/index' },
    { path: '/base/final', name: '成品管理', component: './final/index' },
    // { path: '/base/dict',name:'数据字典',component:'./dict/index'}
    ]
  },
  {
    path: '/line', icon: 'SettingOutlined', name: '产线管理',
    routes: [
      { path: '/line/manufacturing', name: '产线设备管理', component: './manufacturing/index' },
    ]
  },
  {
    path: '/recipeCraft', icon: 'SettingOutlined', name: '配方工艺管理',
    routes: [
      { path: '/recipeCraft/recipe', name: '配方管理', component: './recipe/index' },
      { path: '/recipeCraft/pot', name: '设备工艺', component: './craftInfo/pot' }
    ]
  },
  { path: '/work', icon: 'SettingOutlined', name: '工单管理', component: './workInfo/index' },
  {
    path: '/data', icon: 'SettingOutlined', name: '数据服务',
    routes: [
      { path: '/data/userlog', name: '操作日志', component: './logs/userlog' },
      { path: '/data/runlog', name: '运行日志', component: './logs/runlog' },
      { path: '/data/alarmlog', name: '报警日志', component: './logs/alarmlog' },
      { path: '/data/programlog', name: '系统日志', component: './logs/programlog' }
    ]
  },
  // {
  //    path:'/agv',icon:'SettingOutlined',name:'agv管理',
  //    routes:[
  //     {path:'/agv/agvbasic',name:'agv基础数据',component:'./agvbasic/index'},
  //     {path:'/agv/agvline',name:'agv线路管理',component:'./agvline/index'}
  //    ]
  // },
  // { path: '/order', icon: 'SettingOutlined', name: '订单管理', component: './order/index' },
  {
    path: '/report', icon: 'SettingOutlined', name: '统计报表',
    routes: [
      { path: '/report/product', name: '成品统计', component: './report/product' },
      { path: '/report/material', name: '原料统计', component: './report/material' },
    ]
  },
  { path: '*', layout: false, component: './404' },
];
